import request from '@/utils/request'

//获取业务类型枚举列表
export function getbusinessTypeList(params) {
  return request({
    url: '/system/pub/enums/approval-business',
    method: 'get',
    params
  })
}

//获取签呈配置列表
export function getApprovalList(params) {
  return request({
    url: '/system/manage/approval/list',
    method: 'get',
    params
  })
}

//删除签呈配置列表
export function deleteApproval(pkId) {
  return request({
    url: '/system/manage/approval/' + pkId,
    method: 'delete',
  })
}

//选择角色/审批流程选择下拉选择
export function getoptionList(params) {
  return request({
    url: '/system/manage/user/approval-user',
    method: 'get',
    params
  })
}

//抄送人下拉选
export function getUserAll(params) {
  return request({
    url: '/system/manage/user/all',
    method: 'get',
    params
  })
}


//保存签呈配置列表
export function addApproval(data) {
  return request({
    url: '/system/manage/approval',
    method: 'post',
    data
  })
}

//查看签呈
export function findQcDetail(pkId) {
  return request({
    url: '/system/manage/approval/' + pkId,
    method: 'get',
  })
}